﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;

namespace MyClock
{
    class Config
    {
        public void SetConfig()
        {
            //GetFormPos(); //DoubleClickイベントハンドラで、時計フォームの位置を取得しておく
            Properties.Settings.Default.alarm_Time = Display.m_Alarm;   // アラーム設定時刻
            Properties.Settings.Default.alarm_Canceled = Display.m_cancelAlarm; // アラーム解除設定
            Properties.Settings.Default.main_left = Display.m_main_pos.X;   // 時計の位置-左
            Properties.Settings.Default.main_top = Display.m_main_pos.Y;/// 時計の位置-上
            Properties.Settings.Default.main_size_normal = Display.m_size_normal;   // 時計のサイズ
            Properties.Settings.Default.main_norm_norm = Display.m_Norm_alarm;   //前面表示⇒前面アラーム
            Properties.Settings.Default.main_icon_norm = Display.m_Icon_alarm;   //アイコン⇒前面アラーム
            Properties.Settings.Default.show_about = Display.m_show_about;  //起動時メッセージ
            Properties.Settings.Default.Norm_BackColor = Display.m_NormBackColor;   //通常背景色
            Properties.Settings.Default.SetAlarm_BackColor = Display.m_SetAlarmBackColor;    //アラーム設定時背景色
            Properties.Settings.Default.Norm_Font = Display.m_NormFont; //通常フォント
            Properties.Settings.Default.SetAlarm_Font = Display.m_SetAlarmFont; //アラーム設定時フォント
            Properties.Settings.Default.Norm_FontColor = Display.m_NormFontColor;   //通常フォント色
            Properties.Settings.Default.SetAlarm_FontColor = Display.m_SetAlarmFontColor;    //アラーム設定時フォント色
            Properties.Settings.Default.main_norm_size = Display.m_DispNormSize;    //通常の時計サイズ
            Properties.Settings.Default.main_setalarm_size = Display.m_DispSetAlarmSize;    //アラーム設定時の時計サイズ
            Properties.Settings.Default.Norm_Opacity = Display.m_NormOpacity;    //時計の不透明度
            Properties.Settings.Default.SetAlarm_Opacity = Display.m_SetAlarmOpacity;    //時計の不透明度
            Properties.Settings.Default.Norm_Border = Display.m_NormBorder; //枠のスタイル
            Properties.Settings.Default.SetAlarm_Border = Display.m_SetAlarmBorder; //枠のスタイル
            Properties.Settings.Default.Save();
        }

        public void GetConfig()
        {
            Display.m_Alarm = Properties.Settings.Default.alarm_Time;   // アラーム設定時刻
            Display.m_cancelAlarm = Properties.Settings.Default.alarm_Canceled; //アラーム解除設定
            Display.m_main_pos.X = Properties.Settings.Default.main_left;    //時計表示位置-左
            Display.m_main_pos.Y = Properties.Settings.Default.main_top;  //時計表示位置-上
            //Display.m_main_pos = new Point(left, top);  //<Ver 1.16.2>Pointクラス変数使用
            Display.m_size_normal = Properties.Settings.Default.main_size_normal;   //時計サイズ
            Display.m_Norm_alarm = Properties.Settings.Default.main_norm_norm;   //前面表示⇒前面アラーム
            Display.m_Icon_alarm = Properties.Settings.Default.main_icon_norm;   //アイコン⇒前面アラーム
            Display.m_show_about = Properties.Settings.Default.show_about;  //起動時メッセージ
            Display.m_NormBackColor = Properties.Settings.Default.Norm_BackColor;   //通常背景色
            Display.m_SetAlarmBackColor = Properties.Settings.Default.SetAlarm_BackColor;    //アラーム設定時背景色
            Display.m_NormFont = Properties.Settings.Default.Norm_Font; //通常フォント
            Display.m_SetAlarmFont = Properties.Settings.Default.SetAlarm_Font; //アラーム設定時フォント
            Display.m_NormFontColor = Properties.Settings.Default.Norm_FontColor;   //通常フォント色
            Display.m_SetAlarmFontColor = Properties.Settings.Default.SetAlarm_FontColor;    //アラーム設定時フォント色
            Display.m_DispNormSize = Properties.Settings.Default.main_norm_size;
            Display.m_DispSetAlarmSize = Properties.Settings.Default.main_setalarm_size;
            Display.m_NormOpacity = Properties.Settings.Default.Norm_Opacity;    //時計の不透明度
            Display.m_SetAlarmOpacity = Properties.Settings.Default.SetAlarm_Opacity;    //時計の不透明度
            Display.m_NormBorder = Properties.Settings.Default.Norm_Border; //枠のスタイル
            Display.m_SetAlarmBorder = Properties.Settings.Default.SetAlarm_Border; //枠のスタイル
        }
    }
}
